Subject: bug#24368: 25.1; Assertion failure in attach_marker

From: Noam Postavsky <[email-masked]>
Date: Tue, 6 Sep 2016 10:50:49 -0400

On Tue, Sep 6, 2016 at 2:44 AM, martin rudalics <[email-masked]> wrote:
> We can either make these fail as in the ‘goto-char’ case or handle them
> as with attach_marker.
>
> The former is simpler but would have to be motivated somehow.  IMHO
> ‘goto-char’ should not signal an error in that case - it's perfectly
> legitimate to use the position from another buffer's marker as value.

If you want to ignore the marker's buffer you can do (goto-char
(marker-position marker)); if you pass the whole marker object, it
makes sense that the buffer is checked.